package com.tencent.qqlive.ona.offline.aidl;

import com.tencent.qqlive.ona.offline.aidl.DownloadRecordPageResponse;
import com.tencent.qqlive.ona.offline.aidl.FinishGroupInfo;

interface IOfflineCallback {
    oneway void onTaskStatusChange(String vid, String format, String preKey, int status, int errorCode);
    oneway void onDownloadProgress(String vid, String format, long progress, int normalSpeed, int accelerateSpeed, long fileSize, long canPlayDuration);
    oneway void onSwitchStorageCompleted(String storageId, int errorCode);
    oneway void onDeviceChange();
    oneway void onFreeDownloadChange(boolean isFreeDownload);
    oneway void onCheckFinalInitByOuter();
    oneway void onP2PConfigFinish();
}