define(function(require, exports, module) {
    //var urlBuilder = require('@tencent/vft-common/url');
    var urlBuilder = require('../url');
    var BASE_URL = 'https://btrace.qq.com/kvcollect';
    /**
     *@param cfg object {bossId:xxx, pwd: xxx}
     */
    function Boss(cfg) {
        if (!cfg || !cfg.bossId ||!cfg.pwd) {
            throw new Error('[report.Boss]bossId and pwd is required');
        }
        this._cfg = cfg;
        this._baseUrl = urlBuilder.buildUrl(BASE_URL,{BossId:cfg.bossId,Pwd:cfg.pwd});
    }
    Boss.prototype = {
        report:function(params){
            //report(this.buildReportUrl(params));
            var g_btrace_BOSS = new Image(1, 1);
            g_btrace_BOSS.src = this.buildReportUrl(params);
            return this;
        },
        buildReportUrl:function(params){
            return urlBuilder.buildUrl(this._baseUrl,params,true);
        },
        setBaseUrl:function(baseUrl){
            this._baseUrl = baseUrl;
            return this;
        },
        getBaseUrl:function(){
            return this._baseUrl;
        }
    }
    module.exports = Boss;
});
