define(function(require, exports, module) {
    var module_conf = {
        user_info: "会员信息",
        open_pay: "开通套餐",
        migrate_visitor: "资产转移",
        rank: "排行榜",
        vip_activity: "VIP福利社",
        vip_mivie: "VIP大片",
        vip_priv: "VIP特权",
        vip_help: "帮助与反馈",
        head_pic: "顶部推广位"
    };
    var hottag_conf = {
        //首页
        //头图模块:headpic_tuiguang_ptag.{actid}
        headpic: "headpic_tuiguang",
        //个人信息模块:头像
        userInfo_face_logout: "userInfo_face_logout",
        //个人信息模块:登录按钮
        userInfo_login: "userInfo_login",
        //个人信息模块:券按钮
        userInfo_ticket: "userInfo_ticket",
        //个人信息模块:成长值按钮
        userInfo_score: "userInfo_score",
        //个人信息模块:购买记录按钮
        userInfo_order: "userInfo_order",
        //个人信息模块:赠片按钮
        userInfo_giveMovie: "userInfo_giveMovie",
        //个人信息模块:代金券按钮
        userInfo_coupon: "userInfo_coupon",
        //个人信息模块:活动奖品按钮
        userInfo_awards: "userInfo_awards",
        //个人信息模块:自动续费管理按钮
        userInfo_renew: "userInfo_renew",
        //套餐上方推广位：openPay_tuiguang_ptag.{actid}
        openPay_tuiguang: "openPay_tuiguang",
        //连续包月
        openPay_hvipMonth_serial: "openPay_hvipMonth_serial",
        //套餐模块:开包月套餐按月:openPay_hvipMonth_N
        openPay_hvipMonth: "openPay_hvipMonth",
        //套餐模块:开包月套餐按天:openPay_hvipDay_M
        openPay_hvipDay: "openPay_hvipDay",
        //开通超级影视vip
        openPay_svip: "openPay_svip",
        //CDK兑换
        openPay_cdk: "openPay_cdk",
        //赠送会员
        openPay_giftCard: "openPay_giftCard",
        //资产转移
        migrate: "migrate_qq/wx",
        //排行榜
        rank: "rank_more",
        //VIP福利社
        activity_detail: "activity_detail",
        //VIP福利社:更多点击
        activity_more: "activity_more",
        //VIP大片
        vipMovie_detail: "vipMovie_cid",
        //VIP大片:更多点击
        vipMovie_more: "vipMovie_more",
        //VIP特权
        priv_detail: "priv_detail",
        //帮助与反馈
        help: "help_more",

        //观影券二级页
        //观影券二级页VIP开通
        hlw_app_ticket_open_vip: "hlw_app_ticket_open_vip",
        //观影券二级页用券新片:影片点击
        hlw_app_ticket_movie: "hlw_app_ticket_movie",
        //成长值二级页
        //成长值二级页VIP开通
        hlw_app_score_open_vip: "hlw_app_score_open_vip",
        //成长值二级页VIP续费
        hlw_app_score_renew_vip: "hlw_app_score_renew_vip"
    };

    function getModule(hottag) {
        var moduleName = "";
        if (hottag.indexOf("headpic") > -1) {
            moduleName = module_conf.head_pic;
        } else if (hottag.indexOf("userInfo") > -1) {
            moduleName = module_conf.user_info;
        } else if (hottag.indexOf("openPay") > -1) {
            moduleName = module_conf.open_pay;
        } else if (hottag.indexOf("migrate") > -1) {
            moduleName = module_conf.migrate_visitor;
        } else if (hottag.indexOf("rank") > -1) {
            moduleName = module_conf.rank;
        } else if (hottag.indexOf("activity") > -1) {
            moduleName = module_conf.vip_activity;
        } else if (hottag.indexOf("vipMovie") > -1) {
            moduleName = module_conf.vip_mivie;
        } else if (hottag.indexOf("priv") > -1) {
            moduleName = module_conf.vip_priv;
        } else if (hottag.indexOf("help") > -1) {
            moduleName = module_conf.vip_help;
        }
        return moduleName;
    }

    module.exports = {
        hottagConf: hottag_conf,
        moduleConf: module_conf,
        getModule: getModule
    };
});
