/*
个人中心广告位展示
 */
define(function(require, exports, module) {
    var storage = window.localStorage;
    var utils = require('../utils');
    //aid,上报相关
    var reportApi_new = require('./common/report/client');
    var reportConf_new = require('./common/report/report_conf');
    var aidReport = require('./report/aid').init();

    function initTvSvip() {
        utils.isInreviewVer(function(vertype) {
            if (vertype == "1") { //审核版本，屏蔽入口
                $('.js_tv_svip').hide();
            } else {
                initTvSvipCalbck();
            }
        });
    }

    function initTvSvipCalbck() { //只支持安卓app、iphone 越狱、iphone 绕iap，不支持IAP支付场景
        if (utils.isAndroidPf()) {
            $('.js_tv_svip').show();
        } else {
            utils.getAppInfo(function(json_app) {
                if (json_app.isJBOS == 1) {
                    $('.js_tv_svip').show();
                } else {
                    utils.getIapType(function(json_iap) {
                        if (json_iap.useh5 == 1) {
                            $('.js_tv_svip').show();
                        } else {
                            $('.js_tv_svip').hide();
                        }
                    });
                }
            });
        }
        bindEvent();
    }

    function bindEvent() {
        $(document).delegate(".js_tv_svip", "click", function(e) {
            var linkUrl = $(e.currentTarget).data("tvvipUrl");
            var hottag = $(e.currentTarget).attr("hottag");
            var ptag = "svip.kt.ipho";
            if (utils.isAndroidPf()) {
                ptag = "svip.kt.apho";
            }           
            if (linkUrl) {
                linkUrl+="?ptag="+ptag;
                utils.openUrlCommon(linkUrl);  
            }
            
        });
    }
    
    exports.init = initTvSvip;
});
