package com.tencent.qqlive.services.push;

import com.tencent.qqlive.services.push.IPushCallback;

interface IPushService {
	void setConfig(in Map config);
	void registerCallback(IPushCallback callback);
	void unregisterCallback(IPushCallback callback);
	void login(String userId);
	void logout();
	void clearSomething(int type);
	long getChatRoomPushTime(int msgType);  //push下发时间，用于统计拉取延迟
}